" VIM Syntax file for txr
" Kaz Kylheku <kaz@kylheku.com>

" INSTALL-HOWTO:
"
" 1. Create the directory .vim/syntax in your home directory and
"    put the files txr.vim and tl.vim into this directory.
" 2. In your .vimrc, add this command to associate *.txr, *.tl and *.tlo
"    files with the txr and tl filetypes:
"    :au BufRead,BufNewFile *.txr set filetype=txr | set lisp
"    :au BufRead,BufNewFile *.tl,*.tlo set filetype=tl | set lisp
"
" If you want syntax highlighting to be on automatically (for any language)
" you need to add ":syntax on" in your .vimrc also. But you knew that already!
"
" This file is generated by the genvim.txr script in the TXR source tree.

syn case match
syn spell toplevel

setlocal iskeyword=a-z,A-Z,48-57,!,$,%,&,*,+,-,<,=,>,?,\\,_,~,/,^

syn keyword tl_keyword contained %e% %pi% * *args*
syn keyword tl_keyword contained *args-eff* *args-full* *child-env* *doc-url*
syn keyword tl_keyword contained *filters* *full-args* *gensym-counter* *hash-seed*
syn keyword tl_keyword contained *lib-version* *listener-greedy-eval-p* *listener-hist-len* *listener-multi-line-p*
syn keyword tl_keyword contained *listener-pprint-p* *listener-sel-inclusive-p* *load-hooks* *load-path*
syn keyword tl_keyword contained *match-macro* *opt-level* *package* *package-alist*
syn keyword tl_keyword contained *param-macro* *place-clobber-expander* *place-delete-expander* *place-macro*
syn keyword tl_keyword contained *place-update-expander* *pprint-flo-format* *print-base* *print-circle*
syn keyword tl_keyword contained *print-flo-digits* *print-flo-format* *print-flo-precision* *random-state*
syn keyword tl_keyword contained *random-warmup* *read-bad-json* *read-unknown-structs* *rec-source-loc*
syn keyword tl_keyword contained *stddebug* *stderr* *stdin* *stdlog*
syn keyword tl_keyword contained *stdnull* *stdout* *struct-clause-expander* *trace-output*
syn keyword tl_keyword contained *tree-fun-whitelist* *txr-version* *unhandled-hook* +
syn keyword tl_keyword contained - / /= :
syn keyword tl_keyword contained :abandoned :abs :addr :all
syn keyword tl_keyword contained :android :apf :append :args
syn keyword tl_keyword contained :atime :auto :awk-again :awk-file
syn keyword tl_keyword contained :awk-rec :begin :begin-file :blksize
syn keyword tl_keyword contained :blocks :bool :byte-oriented :cdigit
syn keyword tl_keyword contained :chars :cint :close :continue
syn keyword tl_keyword contained :counter :cspace :ctime :cword-char
syn keyword tl_keyword contained :cygnal :cygwin :dec :decline
syn keyword tl_keyword contained :delegate :dev :digit :downcase
syn keyword tl_keyword contained :end :end-file :env :eq-based
syn keyword tl_keyword contained :eql-based :equal-based :explicit-no :fallback
syn keyword tl_keyword contained :fd :fence :fields :filter
syn keyword tl_keyword contained :fini :finish :float :form
syn keyword tl_keyword contained :from-current :from-end :from-start :from_html
syn keyword tl_keyword contained :frombase64 :frombase64url :fromhtml :frompercent
syn keyword tl_keyword contained :fromurl :fun :function :gap
syn keyword tl_keyword contained :gid :greedy :hex :hextoint
syn keyword tl_keyword contained :inf :init :ino :inp
syn keyword tl_keyword contained :inputs :instance :into :key
syn keyword tl_keyword contained :let :lfilt :lines :linux
syn keyword tl_keyword contained :list :lists :local :longest
syn keyword tl_keyword contained :macos :mandatory :mass-delegate :match
syn keyword tl_keyword contained :maxgap :maxtimes :method :mid
syn keyword tl_keyword contained :mingap :mintimes :mode :mtime
syn keyword tl_keyword contained :name :named :next-spec :nlink
syn keyword tl_keyword contained :nothrow :oct :openbsd :outf
syn keyword tl_keyword contained :outp :output :owner :perms
syn keyword tl_keyword contained :postinit :prio :rdev :real-time
syn keyword tl_keyword contained :reflect :repeat-spec :resolve :rfilt
syn keyword tl_keyword contained :set :set-file :shortest :size
syn keyword tl_keyword contained :solaris :solaris10 :space :static
syn keyword tl_keyword contained :str :string :symacro :symlinks
syn keyword tl_keyword contained :text :times :tlist :to_html
syn keyword tl_keyword contained :tobase64 :tobase64url :tofloat :tohtml
syn keyword tl_keyword contained :tohtml* :toint :tonumber :topercent
syn keyword tl_keyword contained :tourl :uid :unknown :upcase
syn keyword tl_keyword contained :use :use-from :use-syms :userdata
syn keyword tl_keyword contained :var :vars :weak-and :weak-keys
syn keyword tl_keyword contained :weak-or :weak-vals :whole :word-char
syn keyword tl_keyword contained :wrap < <= =
syn keyword tl_keyword contained > >= abort abs
syn keyword tl_keyword contained abs-path-p acons acons-new aconsql-new
syn keyword tl_keyword contained acos acosh add-suffix ado
syn keyword tl_keyword contained af-inet af-inet6 af-unix af-unspec
syn keyword tl_keyword contained ai-addrconfig ai-all ai-canonname ai-numerichost
syn keyword tl_keyword contained ai-numericserv ai-passive ai-v4mapped alet
syn keyword tl_keyword contained align alignof alist-nremove alist-remove
syn keyword tl_keyword contained all allocate-struct and andf
syn keyword tl_keyword contained ap apf append append*
syn keyword tl_keyword contained append-each append-each* append-each-prod append-each-prod*
syn keyword tl_keyword contained append-match-products append-matches apply aret
syn keyword tl_keyword contained array arraysize ash asin
syn keyword tl_keyword contained asinh assert assoc assq
syn keyword tl_keyword contained assql at-exit-call at-exit-do-not-call atan
syn keyword tl_keyword contained atan2 atanh atom awk
syn keyword tl_keyword contained base-name base64-decode base64-decode-buf base64-encode
syn keyword tl_keyword contained base64-stream-dec base64-stream-enc base64url-decode base64url-decode-buf
syn keyword tl_keyword contained base64url-encode base64url-stream-dec base64url-stream-enc bchar
syn keyword tl_keyword contained be-double be-float be-int16 be-int32
syn keyword tl_keyword contained be-int64 be-uint16 be-uint32 be-uint64
syn keyword tl_keyword contained bignum-len bignump bindable bit
syn keyword tl_keyword contained bitset blkcnt-t blksize-t block
syn keyword tl_keyword contained block* bool boundp bracket
syn keyword tl_keyword contained break-str brkint bs0 bs1
syn keyword tl_keyword contained bsdly bstr bstr-d buf
syn keyword tl_keyword contained buf-alloc-size buf-carray buf-d buf-get-char
syn keyword tl_keyword contained buf-get-cptr buf-get-double buf-get-float buf-get-i16
syn keyword tl_keyword contained buf-get-i32 buf-get-i64 buf-get-i8 buf-get-int
syn keyword tl_keyword contained buf-get-long buf-get-short buf-get-u16 buf-get-u32
syn keyword tl_keyword contained buf-get-u64 buf-get-u8 buf-get-uchar buf-get-uint
syn keyword tl_keyword contained buf-get-ulong buf-get-ushort buf-int buf-list
syn keyword tl_keyword contained buf-put-buf buf-put-char buf-put-cptr buf-put-double
syn keyword tl_keyword contained buf-put-float buf-put-i16 buf-put-i32 buf-put-i64
syn keyword tl_keyword contained buf-put-i8 buf-put-int buf-put-long buf-put-short
syn keyword tl_keyword contained buf-put-u16 buf-put-u32 buf-put-u64 buf-put-u8
syn keyword tl_keyword contained buf-put-uchar buf-put-uint buf-put-ulong buf-put-ushort
syn keyword tl_keyword contained buf-set-length buf-str buf-trim buf-uint
syn keyword tl_keyword contained bufp build build-list buildn
syn keyword tl_keyword contained built-in-type-p butlast butlastn caaaaar
syn keyword tl_keyword contained caaaadr caaaar caaadar caaaddr
syn keyword tl_keyword contained caaadr caaar caadaar caadadr
syn keyword tl_keyword contained caadar caaddar caadddr caaddr
syn keyword tl_keyword contained caadr caar cadaaar cadaadr
syn keyword tl_keyword contained cadaar cadadar cadaddr cadadr
syn keyword tl_keyword contained cadar caddaar caddadr caddar
syn keyword tl_keyword contained cadddar caddddr cadddr caddr
syn keyword tl_keyword contained cadr call call-clobber-expander call-delete-expander
syn keyword tl_keyword contained call-finalizers call-super-fun call-super-method call-update-expander
syn keyword tl_keyword contained callf car carray carray-blank
syn keyword tl_keyword contained carray-buf carray-buf-sync carray-cptr carray-dup
syn keyword tl_keyword contained carray-free carray-get carray-getz carray-int
syn keyword tl_keyword contained carray-list carray-own carray-pun carray-put
syn keyword tl_keyword contained carray-putz carray-ref carray-refset carray-replace
syn keyword tl_keyword contained carray-set-length carray-sub carray-type carray-uint
syn keyword tl_keyword contained carray-vec carrayp caseq caseq*
syn keyword tl_keyword contained caseql caseql* casequal casequal*
syn keyword tl_keyword contained cat-str cat-streams cat-vec catch
syn keyword tl_keyword contained catch* catch** catenated-stream-p catenated-stream-push
syn keyword tl_keyword contained cbaud cbaudex cdaaaar cdaaadr
syn keyword tl_keyword contained cdaaar cdaadar cdaaddr cdaadr
syn keyword tl_keyword contained cdaar cdadaar cdadadr cdadar
syn keyword tl_keyword contained cdaddar cdadddr cdaddr cdadr
syn keyword tl_keyword contained cdar cddaaar cddaadr cddaar
syn keyword tl_keyword contained cddadar cddaddr cddadr cddar
syn keyword tl_keyword contained cdddaar cdddadr cdddar cddddar
syn keyword tl_keyword contained cdddddr cddddr cdddr cddr
syn keyword tl_keyword contained cdr ceil ceil-rem chain
syn keyword tl_keyword contained chand char chdir chmod
syn keyword tl_keyword contained chmod-rec chown chown-rec chr-digit
syn keyword tl_keyword contained chr-int chr-isalnum chr-isalpha chr-isascii
syn keyword tl_keyword contained chr-isblank chr-iscntrl chr-isdigit chr-isgraph
syn keyword tl_keyword contained chr-islower chr-isprint chr-ispunct chr-isspace
syn keyword tl_keyword contained chr-isunisp chr-isupper chr-isxdigit chr-num
syn keyword tl_keyword contained chr-str chr-str-set chr-tolower chr-toupper
syn keyword tl_keyword contained chr-xdigit chrp clamp clear-dirty
syn keyword tl_keyword contained clear-error clear-mask clear-struct clearhash
syn keyword tl_keyword contained clocal clock-t clockid-t close
syn keyword tl_keyword contained close-stream closedir closelog closure
syn keyword tl_keyword contained cmp-str cmspar coded-length collect-each
syn keyword tl_keyword contained collect-each* collect-each-prod collect-each-prod* comb
syn keyword tl_keyword contained command-get command-get-buf command-get-json command-get-jsons
syn keyword tl_keyword contained command-get-lines command-get-string command-put command-put-buf
syn keyword tl_keyword contained command-put-json command-put-jsons command-put-lines command-put-string
syn keyword tl_keyword contained compare-swap compile compile-defr-warning compile-error
syn keyword tl_keyword contained compile-file compile-only compile-toplevel compile-update-file
syn keyword tl_keyword contained compile-warning compl-span-str cond conda
syn keyword tl_keyword contained condlet cons conses conses*
syn keyword tl_keyword contained consp constantp contain[s] copy
syn keyword tl_keyword contained copy-alist copy-buf copy-carray copy-cons
syn keyword tl_keyword contained copy-file copy-files copy-fun copy-hash
syn keyword tl_keyword contained copy-list copy-path-rec copy-search-tree copy-str
syn keyword tl_keyword contained copy-struct copy-tnode copy-tree copy-tree-iter
syn keyword tl_keyword contained copy-vec cos cosh count-if
syn keyword tl_keyword contained count-until-match countq countql countqual
syn keyword tl_keyword contained cptr cptr-buf cptr-carray cptr-cast
syn keyword tl_keyword contained cptr-free cptr-get cptr-int cptr-null
syn keyword tl_keyword contained cptr-obj cptr-out cptr-size-hint cptr-type
syn keyword tl_keyword contained cptr-zap cptrp cr0 cr1
syn keyword tl_keyword contained cr2 cr3 crc32 crc32-stream
syn keyword tl_keyword contained crdly cread crtscts crypt
syn keyword tl_keyword contained cs5 cs6 cs7 cs8
syn keyword tl_keyword contained csize cstopb cum-norm-dist cxr
syn keyword tl_keyword contained cyr daemon dec defer-warning
syn keyword tl_keyword contained defex deffi deffi-cb deffi-cb-unsafe
syn keyword tl_keyword contained deffi-struct deffi-sym deffi-type deffi-union
syn keyword tl_keyword contained deffi-var define-accessor define-modify-macro define-option-struct
syn keyword tl_keyword contained define-param-expander define-place-macro define-struct-clause defmacro
syn keyword tl_keyword contained defmatch defmeth defpackage defparm
syn keyword tl_keyword contained defparml defplace defset defstruct
syn keyword tl_keyword contained defsymacro defun defun-match defvar
syn keyword tl_keyword contained defvarl del delay delcons
syn keyword tl_keyword contained delete-package dev-t diff digits
syn keyword tl_keyword contained digpow dir-name dirstat disassemble
syn keyword tl_keyword contained display-width divides dlclose dlopen
syn keyword tl_keyword contained dlsym dlsym-checked dlvsym dlvsym-checked
syn keyword tl_keyword contained do doc dohash doloop
syn keyword tl_keyword contained doloop* dotimes double downcase-str
syn keyword tl_keyword contained drop drop-until drop-while dt-blk
syn keyword tl_keyword contained dt-chr dt-dir dt-fifo dt-lnk
syn keyword tl_keyword contained dt-reg dt-sock dt-unknown dump-compiled-objects
syn keyword tl_keyword contained dump-deferred-warnings dup dupfd dwim
syn keyword tl_keyword contained e2big eacces each each*
syn keyword tl_keyword contained each-match each-match-product each-prod each-prod*
syn keyword tl_keyword contained eaddrinuse eaddrnotavail eafnosupport eagain
syn keyword tl_keyword contained ealready ebadf ebadmsg ebusy
syn keyword tl_keyword contained ecanceled ecaseq ecaseq* ecaseql
syn keyword tl_keyword contained ecaseql* ecasequal ecasequal* echild
syn keyword tl_keyword contained echo echoctl echoe echok
syn keyword tl_keyword contained echoke echonl echoprt econnaborted
syn keyword tl_keyword contained econnrefused econnreset edeadlk edestaddrreq
syn keyword tl_keyword contained edom edquot eexist efault
syn keyword tl_keyword contained efbig ehostunreach eidrm eighth
syn keyword tl_keyword contained eilseq einprogress eintr einval
syn keyword tl_keyword contained eio eisconn eisdir elemsize
syn keyword tl_keyword contained elemtype eloop emfile emlink
syn keyword tl_keyword contained empty emsgsize emultihop enametoolong
syn keyword tl_keyword contained endgrent endp endpwent ends-with
syn keyword tl_keyword contained enetdown enetreset enetunreach enfile
syn keyword tl_keyword contained enobufs enodata enodev enoent
syn keyword tl_keyword contained enoexec enolck enolink enomem
syn keyword tl_keyword contained enomsg enoprotoopt enospc enosr
syn keyword tl_keyword contained enostr enosys enotconn enotdir
syn keyword tl_keyword contained enotempty enotrecoverable enotsock enotsup
syn keyword tl_keyword contained enotty ensure-dir enum enumed
syn keyword tl_keyword contained env env-fbind env-fbindings env-hash
syn keyword tl_keyword contained env-next env-vbind env-vbindings enxio
syn keyword tl_keyword contained eopnotsupp eoverflow eownerdead eperm
syn keyword tl_keyword contained epipe eproto eprotonosupport eprototype
syn keyword tl_keyword contained eq eql equal equot
syn keyword tl_keyword contained erange erofs errno error
syn keyword tl_keyword contained espipe esrch estale etime
syn keyword tl_keyword contained etimedout etxtbsy eval eval-only
syn keyword tl_keyword contained evenp ewouldblock exception-subtype-map exception-subtype-p
syn keyword tl_keyword contained exdev exec exit exit*
syn keyword tl_keyword contained exp expand expand* expand-left
syn keyword tl_keyword contained expand-right expand-with-free-refs expt exptmod
syn keyword tl_keyword contained extproc f$ f-dupfd f-dupfd-cloexec
syn keyword tl_keyword contained f-getfd f-getfl f-getlk f-rdlck
syn keyword tl_keyword contained f-setfd f-setfl f-setlk f-setlkw
syn keyword tl_keyword contained f-unlck f-wrlck f^ f^$
syn keyword tl_keyword contained false fboundp fcntl fd-cloexec
syn keyword tl_keyword contained ff0 ff1 ffdly ffi
syn keyword tl_keyword contained ffi-alignof ffi-arraysize ffi-call ffi-elemsize
syn keyword tl_keyword contained ffi-elemtype ffi-get ffi-in ffi-make-call-desc
syn keyword tl_keyword contained ffi-make-closure ffi-offsetof ffi-out ffi-put
syn keyword tl_keyword contained ffi-put-into ffi-size ffi-type-compile ffi-type-operator-p
syn keyword tl_keyword contained ffi-type-p ffi-typedef fifth file-append
syn keyword tl_keyword contained file-append-buf file-append-json file-append-jsons file-append-lines
syn keyword tl_keyword contained file-append-string file-get file-get-buf file-get-json
syn keyword tl_keyword contained file-get-jsons file-get-lines file-get-string file-place-buf
syn keyword tl_keyword contained file-put file-put-buf file-put-json file-put-jsons
syn keyword tl_keyword contained file-put-lines file-put-string fileno fill-buf
syn keyword tl_keyword contained fill-buf-adjust fill-carray fill-obj fill-vec
syn keyword tl_keyword contained filter-equal filter-string-tree finalize find
syn keyword tl_keyword contained find-frame find-frames find-frames-by-mask find-if
syn keyword tl_keyword contained find-max find-min find-package find-struct-type
syn keyword tl_keyword contained find-symbol find-symbol-fb find-true first
syn keyword tl_keyword contained fixnum-max fixnum-min fixnump flatcar
syn keyword tl_keyword contained flatcar* flatten flatten* flet
syn keyword tl_keyword contained flip flipargs flo-dig flo-down
syn keyword tl_keyword contained flo-epsilon flo-get-round-mode flo-int flo-max
syn keyword tl_keyword contained flo-max-dig flo-min flo-near flo-set-round-mode
syn keyword tl_keyword contained flo-str flo-up flo-zero float
syn keyword tl_keyword contained floatp floor floor-rem flow
syn keyword tl_keyword contained flush-stream flusho fmakunbound fmt
syn keyword tl_keyword contained fnm-casefold fnm-extmatch fnm-leading-dir fnm-noescape
syn keyword tl_keyword contained fnm-pathname fnm-period fnmatch for
syn keyword tl_keyword contained for* force force-break fork
syn keyword tl_keyword contained format fourth fr$ fr^
syn keyword tl_keyword contained fr^$ from frr fsblkcnt-t
syn keyword tl_keyword contained fsfilcnt-t fstat ftw ftw-actionretval
syn keyword tl_keyword contained ftw-chdir ftw-continue ftw-d ftw-depth
syn keyword tl_keyword contained ftw-dnr ftw-dp ftw-f ftw-mount
syn keyword tl_keyword contained ftw-ns ftw-phys ftw-skip-siblings ftw-skip-subtree
syn keyword tl_keyword contained ftw-sl ftw-sln ftw-stop fun
syn keyword tl_keyword contained fun-fixparam-count fun-optparam-count fun-variadic func-get-env
syn keyword tl_keyword contained func-get-form func-get-name func-set-env functionp
syn keyword tl_keyword contained gcd gen gen-hash-seed generate
syn keyword tl_keyword contained gensym gequal get-buf-from-stream get-byte
syn keyword tl_keyword contained get-char get-clobber-expander get-delete-expander get-error
syn keyword tl_keyword contained get-error-str get-frames get-hash-userdata get-indent
syn keyword tl_keyword contained get-indent-mode get-json get-jsons get-line
syn keyword tl_keyword contained get-line-as-buf get-lines get-list-from-stream get-obj
syn keyword tl_keyword contained get-sig-handler get-stack-limit get-string get-string-from-stream
syn keyword tl_keyword contained get-update-expander getaddrinfo getegid getenv
syn keyword tl_keyword contained geteuid getgid getgrent getgrgid
syn keyword tl_keyword contained getgrnam getgroups gethash getitimer
syn keyword tl_keyword contained getopts getpid getppid getpwent
syn keyword tl_keyword contained getpwnam getpwuid getresgid getresuid
syn keyword tl_keyword contained getrlimit getuid gid-t ginterate
syn keyword tl_keyword contained giterate glob glob-altdirfunc glob-brace
syn keyword tl_keyword contained glob-err glob-mark glob-nocheck glob-noescape
syn keyword tl_keyword contained glob-nomagic glob-nosort glob-onlydir glob-period
syn keyword tl_keyword contained glob-tilde glob-tilde-check go grade
syn keyword tl_keyword contained greater group-by group-reduce gun
syn keyword tl_keyword contained handle handle* handler-bind hash
syn keyword tl_keyword contained hash-alist hash-begin hash-construct hash-count
syn keyword tl_keyword contained hash-diff hash-eql hash-equal hash-from-alist
syn keyword tl_keyword contained hash-from-pairs hash-invert hash-isec hash-keys
syn keyword tl_keyword contained hash-keys-of hash-list hash-next hash-pairs
syn keyword tl_keyword contained hash-peek hash-proper-subset hash-reset hash-revget
syn keyword tl_keyword contained hash-subset hash-symdiff hash-uni hash-update
syn keyword tl_keyword contained hash-update-1 hash-userdata hash-values hash-zip
syn keyword tl_keyword contained hashp have hlet hlet*
syn keyword tl_keyword contained html-decode html-encode html-encode* hupcl
syn keyword tl_keyword contained iapply icanon icrnl id-t
syn keyword tl_keyword contained identity identity* ido iexten
syn keyword tl_keyword contained if if-match ifa iff
syn keyword tl_keyword contained iffi iflet ignbrk igncr
syn keyword tl_keyword contained ignerr ignpar ignwarn imaxbel
syn keyword tl_keyword contained improper-plist-to-alist in in-package in-range
syn keyword tl_keyword contained in-range* in6addr-any in6addr-loopback in6addr-str
syn keyword tl_keyword contained inaddr-any inaddr-loopback inaddr-str inc
syn keyword tl_keyword contained inc-indent indent-code indent-data indent-foff
syn keyword tl_keyword contained indent-off inhash inlcr ino-t
syn keyword tl_keyword contained inpck int int-buf int-carray
syn keyword tl_keyword contained int-chr int-cptr int-flo int-ptr-t
syn keyword tl_keyword contained int-str int16 int32 int64
syn keyword tl_keyword contained int8 integerp intern intern-fb
syn keyword tl_keyword contained interp-fun-p interpose inv-cum-norm invoke-catch
syn keyword tl_keyword contained ip ipf ipproto-ip ipproto-ipv6
syn keyword tl_keyword contained ipproto-tcp ipproto-udp ipv6-join-group ipv6-leave-group
syn keyword tl_keyword contained ipv6-multicast-hops ipv6-multicast-if ipv6-multicast-loop ipv6-unicast-hops
syn keyword tl_keyword contained ipv6-v6only iread isatty isec
syn keyword tl_keyword contained isig isqrt istrip iter-begin
syn keyword tl_keyword contained iter-item iter-more iter-reset iter-step
syn keyword tl_keyword contained iterable itimer-prof itimer-real itimer-virtual
syn keyword tl_keyword contained iuclc iutf8 ixany ixoff
syn keyword tl_keyword contained ixon join join-with json
syn keyword tl_keyword contained juxt keep-if keep-if* keep-match-products
syn keyword tl_keyword contained keep-matches keepq keepql keepqual
syn keyword tl_keyword contained key key-t keyword-package keywordp
syn keyword tl_keyword contained kill labels lambda lambda-match
syn keyword tl_keyword contained last lazy-str lazy-str-force lazy-str-force-upto
syn keyword tl_keyword contained lazy-str-get-trailing-list lazy-stream-cons lazy-stringp lchown
syn keyword tl_keyword contained lcm lcons lcons-car lcons-cdr
syn keyword tl_keyword contained lcons-fun lconsp ldiff ldo
syn keyword tl_keyword contained le-double le-float le-int16 le-int32
syn keyword tl_keyword contained le-int64 le-uint16 le-uint32 le-uint64
syn keyword tl_keyword contained left len length length-buf
syn keyword tl_keyword contained length-carray length-list length-str length-str-<
syn keyword tl_keyword contained length-str-<= length-str-> length-str->= length-vec
syn keyword tl_keyword contained lequal less let let*
syn keyword tl_keyword contained lexical-fun-p lexical-lisp1-binding lexical-var-p lib-version
syn keyword tl_keyword contained link lisp-parse list list*
syn keyword tl_keyword contained list-carray list-seq list-str list-vec
syn keyword tl_keyword contained list-vector listp lnew lnew*
syn keyword tl_keyword contained load load-for load-time loff-t
syn keyword tl_keyword contained log log-alert log-auth log-authpriv
syn keyword tl_keyword contained log-cons log-crit log-daemon log-debug
syn keyword tl_keyword contained log-emerg log-err log-info log-ndelay
syn keyword tl_keyword contained log-notice log-nowait log-odelay log-perror
syn keyword tl_keyword contained log-pid log-user log-warning log10
syn keyword tl_keyword contained log2 logand logcount logior
syn keyword tl_keyword contained lognot logtest logtrunc logxor
syn keyword tl_keyword contained long long-suffix longlong lop
syn keyword tl_keyword contained lset lstat lutimes m$
syn keyword tl_keyword contained m^ m^$ mac-env-param-bind mac-param-bind
syn keyword tl_keyword contained macro-ancestor macro-form-p macro-time macroexpand
syn keyword tl_keyword contained macroexpand-1 macroexpand-1-lisp1 macroexpand-lisp1 macrolet
syn keyword tl_keyword contained madv-dodump madv-dofork madv-dontdump madv-dontfork
syn keyword tl_keyword contained madv-dontneed madv-free madv-hugepage madv-hwpoison
syn keyword tl_keyword contained madv-keeponfork madv-mergeable madv-nohugepage madv-normal
syn keyword tl_keyword contained madv-random madv-remove madv-sequential madv-unmergeable
syn keyword tl_keyword contained madv-willneed madv-wipeonfork madvise major
syn keyword tl_keyword contained make-buf make-buf-stream make-byte-input-stream make-catenated-stream
syn keyword tl_keyword contained make-env make-hash make-lazy-cons make-lazy-struct
syn keyword tl_keyword contained make-like make-package make-random-state make-similar-hash
syn keyword tl_keyword contained make-similar-tree make-string-byte-input-stream make-string-input-stream make-string-output-stream
syn keyword tl_keyword contained make-strlist-input-stream make-strlist-output-stream make-struct make-struct-delegate-stream
syn keyword tl_keyword contained make-struct-type make-sym make-time make-time-utc
syn keyword tl_keyword contained make-trie make-union make-zstruct makedev
syn keyword tl_keyword contained makunbound map-anon map-fixed map-growsdown
syn keyword tl_keyword contained map-huge-mask map-huge-shift map-hugetlb map-locked
syn keyword tl_keyword contained map-nonblock map-noreserve map-populate map-private
syn keyword tl_keyword contained map-shared map-stack mapcar mapcar*
syn keyword tl_keyword contained mapdo mapf maphash mappend
syn keyword tl_keyword contained mappend* maprend maprod maprodo
syn keyword tl_keyword contained mask match match-case match-ecase
syn keyword tl_keyword contained match-error match-fun match-regex match-regex-right
syn keyword tl_keyword contained match-regst match-regst-right match-str match-str-tree
syn keyword tl_keyword contained max mboundp md5 md5-begin
syn keyword tl_keyword contained md5-end md5-hash md5-stream member
syn keyword tl_keyword contained member-if memp memq memql
syn keyword tl_keyword contained memqual meq meql mequal
syn keyword tl_keyword contained merge merge-delete-package meth method
syn keyword tl_keyword contained min minor minusp mismatch
syn keyword tl_keyword contained mkdir mkdtemp mkfifo mknod
syn keyword tl_keyword contained mkstemp mkstring mlet mmakunbound
syn keyword tl_keyword contained mmap mod mode-t mprotect
syn keyword tl_keyword contained ms-async ms-invalidate ms-sync msync
syn keyword tl_keyword contained mul-each mul-each* mul-each-prod mul-each-prod*
syn keyword tl_keyword contained multi multi-sort munmap n-choose-k
syn keyword tl_keyword contained n-perm-k nconc neg neq
syn keyword tl_keyword contained neql nequal new new*
syn keyword tl_keyword contained nexpand-left nil nilf ninth
syn keyword tl_keyword contained nl0 nl1 nldly nlink-t
syn keyword tl_keyword contained noflsh none not notf
syn keyword tl_keyword contained nreconc nreverse nrot nshuffle
syn keyword tl_keyword contained nsort nth nthcdr nthlast
syn keyword tl_keyword contained null nullify num-chr num-str
syn keyword tl_keyword contained numberp nzerop o-accmode o-append
syn keyword tl_keyword contained o-async o-cloexec o-creat o-direct
syn keyword tl_keyword contained o-directory o-noatime o-noctty o-nofollow
syn keyword tl_keyword contained o-nonblock o-path o-rdonly o-rdwr
syn keyword tl_keyword contained o-sync o-trunc o-wronly oand
syn keyword tl_keyword contained obtain obtain* obtain*-block obtain-block
syn keyword tl_keyword contained ocrnl oddp ofdel off-t
syn keyword tl_keyword contained offsetof ofill olcuc onlcr
syn keyword tl_keyword contained onlret onocr op open-command
syn keyword tl_keyword contained open-directory open-file open-fileno open-files
syn keyword tl_keyword contained open-files* open-pipe open-process open-socket
syn keyword tl_keyword contained open-socket-pair open-subprocess open-tail opendir
syn keyword tl_keyword contained openlog opip opost opt
syn keyword tl_keyword contained opthelp or orf package-alist
syn keyword tl_keyword contained package-fallback-list package-foreign-symbols package-local-symbols package-name
syn keyword tl_keyword contained package-symbols packagep pad page-size
syn keyword tl_keyword contained pairlis parenb parmrk parodd
syn keyword tl_keyword contained parse-errors partition partition* partition-by
syn keyword tl_keyword contained path-blkdev-p path-cat path-chrdev-p path-dir-empty
syn keyword tl_keyword contained path-dir-p path-equal path-executable-to-me-p path-exists-p
syn keyword tl_keyword contained path-file-p path-mine-p path-my-group-p path-newer
syn keyword tl_keyword contained path-older path-pipe-p path-private-to-me-p path-read-writable-to-me-p
syn keyword tl_keyword contained path-readable-to-me-p path-same-object path-search path-sep-chars
syn keyword tl_keyword contained path-setgid-p path-setuid-p path-sock-p path-sticky-p
syn keyword tl_keyword contained path-strictly-private-to-me-p path-symlink-p path-writable-to-me-p pdec
syn keyword tl_keyword contained pendin perm pic pid-t
syn keyword tl_keyword contained pinc pipe place-form-p placelet
syn keyword tl_keyword contained placelet* plist-to-alist plusp poll
syn keyword tl_keyword contained poll-err poll-in poll-nval poll-out
syn keyword tl_keyword contained poll-pri poll-rdband poll-rdhup poll-wrband
syn keyword tl_keyword contained poly pop pop-after-load portable-abs-path-p
syn keyword tl_keyword contained pos pos-if pos-max pos-min
syn keyword tl_keyword contained posq posql posqual pppred
syn keyword tl_keyword contained ppred pprinl pprint pprof
syn keyword tl_keyword contained pred prinl print prod
syn keyword tl_keyword contained prof prog prog* prog1
syn keyword tl_keyword contained prog2 progn promisep prop
syn keyword tl_keyword contained proper-list-p proper-listp prot-exec prot-growsdown
syn keyword tl_keyword contained prot-growsup prot-none prot-read prot-write
syn keyword tl_keyword contained pset ptr ptr-in ptr-in-d
syn keyword tl_keyword contained ptr-out ptr-out-d ptr-out-s ptrdiff-t
syn keyword tl_keyword contained pub:txr-sym pure-rel-path-p purge-deferred-warning push
syn keyword tl_keyword contained push-after-load pushhash pushnew put-buf
syn keyword tl_keyword contained put-byte put-carray put-char put-json
syn keyword tl_keyword contained put-jsonl put-jsons put-line put-lines
syn keyword tl_keyword contained put-obj put-string put-strings pwd
syn keyword tl_keyword contained qquote qref quantile quip
syn keyword tl_keyword contained quote r$ r^ r^$
syn keyword tl_keyword contained raise rand random random-buf
syn keyword tl_keyword contained random-fixnum random-float random-float-incl random-state-get-vec
syn keyword tl_keyword contained random-state-p range range* range-regex
syn keyword tl_keyword contained rangep rassoc rassq rassql
syn keyword tl_keyword contained rcomb rcons read read-once
syn keyword tl_keyword contained read-until-match readdir readlink real-time-stream-p
syn keyword tl_keyword contained realpath record-adapter reduce-left reduce-right
syn keyword tl_keyword contained ref refset regex-compile regex-from-trie
syn keyword tl_keyword contained regex-optimize regex-parse regex-prefix-match regex-source
syn keyword tl_keyword contained regexp register-exception-subtypes register-tentative-def regsub
syn keyword tl_keyword contained rehome-sym reject rel-path relate
syn keyword tl_keyword contained release-deferred-warnings remhash remove-if remove-if*
syn keyword tl_keyword contained remove-path remove-path-rec remq remq*
syn keyword tl_keyword contained remql remql* remqual remqual*
syn keyword tl_keyword contained rename-path repeat replace replace-buf
syn keyword tl_keyword contained replace-env replace-list replace-str replace-struct
syn keyword tl_keyword contained replace-tree-iter replace-vec reset-struct rest
syn keyword tl_keyword contained ret retf return return*
syn keyword tl_keyword contained return-from revappend reverse rfind
syn keyword tl_keyword contained rfind-if right rlcp rlcp-tree
syn keyword tl_keyword contained rlet rlim-infinity rlim-saved-cur rlim-saved-max
syn keyword tl_keyword contained rlimit-as rlimit-core rlimit-cpu rlimit-data
syn keyword tl_keyword contained rlimit-fsize rlimit-nofile rlimit-stack rlist
syn keyword tl_keyword contained rlist* rmdir rmember rmember-if
syn keyword tl_keyword contained rmemq rmemql rmemqual rmismatch
syn keyword tl_keyword contained rot rotate round round-rem
syn keyword tl_keyword contained rperm rplaca rplacd rpoly
syn keyword tl_keyword contained rpos rpos-if rposq rposql
syn keyword tl_keyword contained rposqual rr rra rsearch
syn keyword tl_keyword contained rslot rtld-deepbind rtld-global rtld-lazy
syn keyword tl_keyword contained rtld-local rtld-nodelete rtld-noload rtld-now
syn keyword tl_keyword contained run s-ifblk s-ifchr s-ifdir
syn keyword tl_keyword contained s-ififo s-iflnk s-ifmt s-ifreg
syn keyword tl_keyword contained s-ifsock s-irgrp s-iroth s-irusr
syn keyword tl_keyword contained s-irwxg s-irwxo s-irwxu s-isgid
syn keyword tl_keyword contained s-isuid s-isvtx s-iwgrp s-iwoth
syn keyword tl_keyword contained s-iwusr s-ixgrp s-ixoth s-ixusr
syn keyword tl_keyword contained save-exe sbit scan-until-match search
syn keyword tl_keyword contained search-regex search-regst search-str search-str-tree
syn keyword tl_keyword contained second seek-cur seek-end seek-set
syn keyword tl_keyword contained seek-stream select self-load-path self-path
syn keyword tl_keyword contained separate seq-begin seq-next seq-reset
syn keyword tl_keyword contained seqp set set-diff set-hash-userdata
syn keyword tl_keyword contained set-indent set-indent-mode set-key set-left
syn keyword tl_keyword contained set-mask set-max-depth set-max-length set-package-fallback-list
syn keyword tl_keyword contained set-right set-sig-handler set-stack-limit setegid
syn keyword tl_keyword contained setenv seteuid setgid setgrent
syn keyword tl_keyword contained setgroups sethash setitimer setlogmask
syn keyword tl_keyword contained setpwent setresgid setresuid setrlimit
syn keyword tl_keyword contained setuid seventh sh sha256
syn keyword tl_keyword contained sha256-begin sha256-end sha256-hash sha256-stream
syn keyword tl_keyword contained shift short short-suffix shuffle
syn keyword tl_keyword contained shut-rd shut-rdwr shut-wr sig-abrt
syn keyword tl_keyword contained sig-alrm sig-atomic-t sig-bus sig-check
syn keyword tl_keyword contained sig-chld sig-cont sig-fpe sig-hup
syn keyword tl_keyword contained sig-ill sig-int sig-io sig-iot
syn keyword tl_keyword contained sig-kill sig-pipe sig-poll sig-prof
syn keyword tl_keyword contained sig-pwr sig-quit sig-segv sig-stkflt
syn keyword tl_keyword contained sig-stop sig-sys sig-term sig-trap
syn keyword tl_keyword contained sig-tstp sig-ttin sig-ttou sig-urg
syn keyword tl_keyword contained sig-usr1 sig-usr2 sig-vtalrm sig-winch
syn keyword tl_keyword contained sig-xcpu sig-xfsz sign-extend signum
syn keyword tl_keyword contained sin sinh sixth size-t
syn keyword tl_keyword contained size-vec sizeof slet slot
syn keyword tl_keyword contained slotp slots slotset so-acceptconn
syn keyword tl_keyword contained so-broadcast so-debug so-dontroute so-error
syn keyword tl_keyword contained so-keepalive so-linger so-oobinline so-rcvbuf
syn keyword tl_keyword contained so-rcvlowat so-rcvtimeo so-reuseaddr so-sndbuf
syn keyword tl_keyword contained so-sndlowat so-sndtimeo so-type sock-accept
syn keyword tl_keyword contained sock-bind sock-cloexec sock-connect sock-dgram
syn keyword tl_keyword contained sock-family sock-listen sock-nonblock sock-opt
syn keyword tl_keyword contained sock-peer sock-recv-timeout sock-send-timeout sock-set-opt
syn keyword tl_keyword contained sock-set-peer sock-shutdown sock-stream sock-type
syn keyword tl_keyword contained socklen-t sol-socket some sort
syn keyword tl_keyword contained sort-group source-loc source-loc-str span-str
syn keyword tl_keyword contained special-operator-p special-var-p spl splice
syn keyword tl_keyword contained split split* split-str split-str-set
syn keyword tl_keyword contained sqrt square ssize-t sspl
syn keyword tl_keyword contained sssucc ssucc starts-with stat
syn keyword tl_keyword contained static-slot static-slot-ensure static-slot-home static-slot-p
syn keyword tl_keyword contained static-slot-set stdlib str str-buf
syn keyword tl_keyword contained str-d str-in6addr str-in6addr-net str-inaddr
syn keyword tl_keyword contained str-inaddr-net str-seq str< str<=
syn keyword tl_keyword contained str= str> str>= stream-get-prop
syn keyword tl_keyword contained stream-set-prop streamp strerror string-extend
syn keyword tl_keyword contained string-finish string-get-code string-lt string-set-code
syn keyword tl_keyword contained stringp strsignal struct struct-from-args
syn keyword tl_keyword contained struct-from-plist struct-get-initfun struct-get-postinitfun struct-set-initfun
syn keyword tl_keyword contained struct-set-postinitfun struct-type struct-type-name struct-type-p
syn keyword tl_keyword contained structp sub sub-buf sub-list
syn keyword tl_keyword contained sub-str sub-tree sub-vec subq
syn keyword tl_keyword contained subql subqual subst subtypep
syn keyword tl_keyword contained succ sum sum-each sum-each*
syn keyword tl_keyword contained sum-each-prod sum-each-prod* super super-method
syn keyword tl_keyword contained suspend swap symacrolet symbol-function
syn keyword tl_keyword contained symbol-macro symbol-name symbol-package symbol-value
syn keyword tl_keyword contained symbolp symdiff symlink sys:%backpatch-high16%
syn keyword tl_keyword contained sys:%backpatch-low16% sys:%big-endian% sys:%bin-op% sys:%bin-ops%
syn keyword tl_keyword contained sys:%block-using-funs% sys:%call-op% sys:%const-foldable% sys:%const-foldable-funs%
syn keyword tl_keyword contained sys:%dbg-command-env% sys:%effect-free% sys:%effect-free-funs% sys:%eval-cache%
syn keyword tl_keyword contained sys:%functional% sys:%functional-funs% sys:%gcall-op% sys:%lev-bits%
syn keyword tl_keyword contained sys:%lev-size% sys:%max-lambda-fixed-args% sys:%max-lev% sys:%max-lev-idx%
syn keyword tl_keyword contained sys:%max-sm-lev% sys:%max-sm-lev-idx% sys:%max-v-lev% sys:%nary-ops%
syn keyword tl_keyword contained sys:%oc-code% sys:%oc-hash% sys:%oc-list-builder% sys:%package-manip%
syn keyword tl_keyword contained sys:%param-info% sys:%quip-rand-state% sys:%quips% sys:%shuffled-quips%
syn keyword tl_keyword contained sys:%sm-lev-bits% sys:%sm-lev-size% sys:%test-funs% sys:%test-funs-neg%
syn keyword tl_keyword contained sys:%test-funs-ops% sys:%test-funs-pos% sys:%test-inv% sys:%test-opcode%
syn keyword tl_keyword contained sys:%tlo-ver% sys:*dedup* sys:*emit* sys:*eval*
syn keyword tl_keyword contained sys:*in-compilation-unit* sys:*load-recursive* sys:*load-time* sys:*match-form*
syn keyword tl_keyword contained sys:*op-ctx* sys:*pl-env* sys:*pl-form* sys:*top-level*
syn keyword tl_keyword contained sys:*trace-hash* sys:*trace-level* sys:*unchecked-calls* sys:abscond*
syn keyword tl_keyword contained sys:abscond-from sys:add-neg-parens sys:analyze-argtypes sys:analyze-params
syn keyword tl_keyword contained sys:apply sys:arith-each sys:asm-error sys:assumed-fun
syn keyword tl_keyword contained sys:awk%--rng sys:awk%--rng+ sys:awk%--rng- sys:awk%-rng+
syn keyword tl_keyword contained sys:awk%rng+ sys:awk-code-move-check sys:awk-error sys:awk-expander
syn keyword tl_keyword contained sys:awk-field-name-code sys:awk-fun-let sys:awk-fun-shadowing-env sys:awk-mac-let
syn keyword tl_keyword contained sys:awk-redir sys:awk-symac-let sys:awk-test sys:b*
syn keyword tl_keyword contained sys:b+ sys:b- sys:b/ sys:b<
syn keyword tl_keyword contained sys:b<= sys:b= sys:b=> sys:b>
syn keyword tl_keyword contained sys:bad-slot-syntax sys:bind-mac-check sys:bind-mac-error sys:bindable-check
syn keyword tl_keyword contained sys:bits sys:bits-to-obj sys:blk sys:build-expander
syn keyword tl_keyword contained sys:build-key-list-expr sys:capture-cont sys:catch sys:check
syn keyword tl_keyword contained sys:check-end sys:check-slot sys:check-struct sys:check-sym
syn keyword tl_keyword contained sys:circref sys:comma-positions sys:compat sys:compile-and-match
syn keyword tl_keyword contained sys:compile-as-match sys:compile-atom-match sys:compile-cons-structure sys:compile-exprs-match
syn keyword tl_keyword contained sys:compile-file-conditionally sys:compile-hash-match sys:compile-loop-match sys:compile-match
syn keyword tl_keyword contained sys:compile-new-var-match sys:compile-not-match sys:compile-or-match sys:compile-predicate-match
syn keyword tl_keyword contained sys:compile-range-match sys:compile-require-match sys:compile-scan-match sys:compile-struct-match
syn keyword tl_keyword contained sys:compile-var-match sys:compile-vec-match sys:compile-with-match sys:compiler-emit-warnings
syn keyword tl_keyword contained sys:conv sys:conv-expand sys:conv-expand-sym sys:conv-let
syn keyword tl_keyword contained sys:ctx-form sys:ctx-name sys:dbg-all sys:dbg-backtrace
syn keyword tl_keyword contained sys:dbg-clear sys:dbg-enable sys:dbg-restore sys:dbg-set
syn keyword tl_keyword contained sys:dbg-step sys:debugger sys:dedup sys:dedup-labels
syn keyword tl_keyword contained sys:deffi-cb-expander sys:define-method sys:defset-expander sys:defset-expander-simple
syn keyword tl_keyword contained sys:detached-run sys:dig sys:disassemble-cdf sys:dlib-expr
syn keyword tl_keyword contained sys:do-conv sys:do-copy-obj sys:do-path-test sys:do-tweak-obj
syn keyword tl_keyword contained sys:doc-syms sys:dump-to-tlo sys:dvbind sys:dwim-del
syn keyword tl_keyword contained sys:dwim-set sys:dyn-size sys:each-match-expander sys:each-op
syn keyword tl_keyword contained sys:early-peephole sys:enc-small-op sys:ensure-op-arg sys:env-to-let
syn keyword tl_keyword contained sys:eq-comparable sys:eql-comparable sys:eval-cache-emit-warnings sys:eval-err
syn keyword tl_keyword contained sys:expand-and sys:expand-arith-each-prod sys:expand-bind-mac-params sys:expand-defmacro
syn keyword tl_keyword contained sys:expand-defsymacro sys:expand-defun sys:expand-defvarl sys:expand-dohash
syn keyword tl_keyword contained sys:expand-doloop sys:expand-each sys:expand-each-prod sys:expand-each-prod*
syn keyword tl_keyword contained sys:expand-handle sys:expand-lambda-match sys:expand-neg-parens sys:expand-params
syn keyword tl_keyword contained sys:expand-pic sys:expand-pic-align sys:expand-pic-num sys:expand-pic-num-commas
syn keyword tl_keyword contained sys:expand-quasi sys:expand-quasi-args sys:expand-quasi-match sys:expand-quasi-mods
syn keyword tl_keyword contained sys:expand-sym-ref sys:expr sys:extract-keys sys:extract-keys-p
syn keyword tl_keyword contained sys:fbind sys:find-parent sys:fixed-point sys:flatten-or
syn keyword tl_keyword contained sys:fmt-flex sys:fmt-join sys:fmt-simple sys:for-op
syn keyword tl_keyword contained sys:gc sys:gc-set-delta sys:get-buf-common sys:get-fun-getter-setter
syn keyword tl_keyword contained sys:get-mb sys:get-param-info sys:get-place-macro sys:get-var-list
syn keyword tl_keyword contained sys:get-vars sys:get-vb sys:getopts-error sys:handle-bad-syntax
syn keyword tl_keyword contained sys:hlet-expand sys:if-to-cond sys:in6addr-condensed-text sys:insert-commas
syn keyword tl_keyword contained sys:is-label sys:l1-setq sys:l1-val sys:lambda-apply-transform
syn keyword tl_keyword contained sys:lambda-excess-apply-list sys:lambda-short-apply-list sys:lambda-too-few-args sys:lambda-too-many-args
syn keyword tl_keyword contained sys:lbind sys:lisp1-setq sys:lisp1-value sys:list-builder-flets
syn keyword tl_keyword contained sys:list-from-vm-desc sys:load-time-lit sys:loc sys:loosen
syn keyword tl_keyword contained sys:mac-env-flatten sys:make-anon-package sys:make-command-env sys:make-copy-path-opts
syn keyword tl_keyword contained sys:make-struct-lit sys:make-struct-type sys:mark-special sys:match-pat-error
syn keyword tl_keyword contained sys:misleading-ref-check sys:name-str sys:new-expander sys:new-type
syn keyword tl_keyword contained sys:non-triv-pat-p sys:null-reg sys:obtain-impl sys:op-alpha-rename
syn keyword tl_keyword contained sys:op-ensure-rec sys:op-expand sys:op-meta-p sys:op-rec-p
syn keyword tl_keyword contained sys:open-compile-streams sys:open-url sys:operand-to-exp sys:operand-to-sym
syn keyword tl_keyword contained sys:opip-expand sys:opt-dash sys:opt-err sys:orig-form
syn keyword tl_keyword contained sys:os-symbol sys:param-check sys:parse-compound-operand sys:parse-lambda-match-clause
syn keyword tl_keyword contained sys:parse-operand sys:pat-len sys:path-access sys:path-examine
syn keyword tl_keyword contained sys:path-simplify sys:path-split sys:path-test-mode sys:path-test-type
syn keyword tl_keyword contained sys:path-volume sys:pic-join-opt sys:pl-expand sys:placelet-1
syn keyword tl_keyword contained sys:print-backtrace sys:propagate-ancestor sys:propagate-perms sys:prune-missing-inits
syn keyword tl_keyword contained sys:qquote sys:quasi sys:quasilist sys:r-s-let-expander
syn keyword tl_keyword contained sys:reduce-constant sys:reduce-lisp sys:reduce-or sys:reg-expand-nongreedy
syn keyword tl_keyword contained sys:register-opcode sys:register-simple-accessor sys:repl sys:rewrite
syn keyword tl_keyword contained sys:rewrite-case sys:rplaca sys:rplacd sys:rslotset
syn keyword tl_keyword contained sys:rt-assert-fail sys:rt-defmacro sys:rt-defsymacro sys:rt-defun
syn keyword tl_keyword contained sys:rt-defv sys:rt-defvarl sys:rt-load-for sys:rt-pprof
syn keyword tl_keyword contained sys:safe-const-eval sys:safe-const-reduce sys:safe-constantp sys:set-hash-traversal-limit
syn keyword tl_keyword contained sys:set-macro-ancestor sys:setq sys:setqf sys:simplify-or
syn keyword tl_keyword contained sys:slot-types sys:small-op-p sys:small-op-to-sym sys:splice
syn keyword tl_keyword contained sys:static-slot-types sys:str-inaddr-net-impl sys:struct-lit sys:subst-preserve
syn keyword tl_keyword contained sys:switch sys:sym-clobber-expander sys:sym-delete-expander sys:sym-update-expander
syn keyword tl_keyword contained sys:system-symbol-p sys:top-fb sys:top-mb sys:top-vb
syn keyword tl_keyword contained sys:tr* sys:trace sys:trace-canonicalize-name sys:trace-enter
syn keyword tl_keyword contained sys:trace-leave sys:trace-redefine-check sys:transform-qquote sys:tree-construct
syn keyword tl_keyword contained sys:trfm sys:true-const-p sys:try-load sys:txr-case-impl
syn keyword tl_keyword contained sys:unquote sys:untrace sys:upenv sys:uw-block
syn keyword tl_keyword contained sys:uw-captured-block sys:uw-catch sys:uw-cont-copy sys:uw-eval
syn keyword tl_keyword contained sys:uw-expand sys:uw-fcall sys:uw-guard sys:uw-handle
syn keyword tl_keyword contained sys:uw-menv sys:var sys:var-pat-p sys:vars-check
syn keyword tl_keyword contained sys:vm-closure-desc sys:vm-closure-entry sys:vm-desc-bytecode sys:vm-desc-datavec
syn keyword tl_keyword contained sys:vm-desc-nlevels sys:vm-desc-nregs sys:vm-desc-symvec sys:vm-execute-toplevel
syn keyword tl_keyword contained sys:vm-make-desc sys:wdwrap sys:when-exprs-match sys:with-disabled-debugging
syn keyword tl_keyword contained sys:with-dyn-lib-check syslog system-package t
syn keyword tl_keyword contained tab0 tab1 tab2 tab3
syn keyword tl_keyword contained tabdly tagbody tailp take
syn keyword tl_keyword contained take-until take-while tan tanh
syn keyword tl_keyword contained tb tc tcdrain tcflow
syn keyword tl_keyword contained tcflush tcgetattr tciflush tcioff
syn keyword tl_keyword contained tcioflush tcion tcoflush tcooff
syn keyword tl_keyword contained tcoon tcp-nodelay tcsadrain tcsaflush
syn keyword tl_keyword contained tcsanow tcsendbreak tcsetattr tentative-def-exists
syn keyword tl_keyword contained tenth test-clear test-clear-dirty test-dec
syn keyword tl_keyword contained test-dirty test-inc test-neq-set-indent-mode test-set
syn keyword tl_keyword contained test-set-indent-mode tf third throw
syn keyword tl_keyword contained throwf time time-fields-local time-fields-utc
syn keyword tl_keyword contained time-nsec time-parse time-parse-local time-parse-utc
syn keyword tl_keyword contained time-string-local time-string-utc time-struct-local time-struct-utc
syn keyword tl_keyword contained time-t time-usec tmpfile tnode
syn keyword tl_keyword contained tnodep to tofloat tofloatz
syn keyword tl_keyword contained toint tointz tojson tok
syn keyword tl_keyword contained tok-str tok-where tostop tostring
syn keyword tl_keyword contained tostringp touch tprint trace
syn keyword tl_keyword contained transpose tree tree-begin tree-bind
syn keyword tl_keyword contained tree-case tree-clear tree-count tree-del-min
syn keyword tl_keyword contained tree-del-min-node tree-delete tree-delete-node tree-delete-specific-node
syn keyword tl_keyword contained tree-find tree-insert tree-insert-node tree-lookup
syn keyword tl_keyword contained tree-lookup-node tree-min tree-min-node tree-next
syn keyword tl_keyword contained tree-peek tree-reset tree-root treep
syn keyword tl_keyword contained trie-add trie-compress trie-lookup-begin trie-lookup-feed-char
syn keyword tl_keyword contained trie-value-at trim-left trim-long-suffix trim-right
syn keyword tl_keyword contained trim-short-suffix trim-str true trunc
syn keyword tl_keyword contained trunc-rem truncate-stream tuples tuples*
syn keyword tl_keyword contained txr-case txr-exe-path txr-if txr-parse
syn keyword tl_keyword contained txr-path txr-version txr-when typecase
syn keyword tl_keyword contained typedef typeof typep ubit
syn keyword tl_keyword contained uchar uid-t uint uint-buf
syn keyword tl_keyword contained uint-carray uint-ptr-t uint16 uint32
syn keyword tl_keyword contained uint64 uint8 ulong ulonglong
syn keyword tl_keyword contained umask umeth umethod uname
syn keyword tl_keyword contained unget-byte unget-char uni unintern
syn keyword tl_keyword contained union union-get union-in union-members
syn keyword tl_keyword contained union-out union-put uniq unique
syn keyword tl_keyword contained unless unquote unsetenv until
syn keyword tl_keyword contained until* untrace unuse-package unuse-sym
syn keyword tl_keyword contained unwind-protect upcase-str upd update
syn keyword tl_keyword contained uref url-decode url-encode use
syn keyword tl_keyword contained use-package use-sym user-package ushort
syn keyword tl_keyword contained usl usleep uslot utimes
syn keyword tl_keyword contained val vdiscard vec vec-carray
syn keyword tl_keyword contained vec-list vec-push vec-seq vec-set-length
syn keyword tl_keyword contained vecref vector vector-list vectorp
syn keyword tl_keyword contained veof veol veol2 verase
syn keyword tl_keyword contained vintr vkill vlnext vm-fun-p
syn keyword tl_keyword contained vmin void vquit vreprint
syn keyword tl_keyword contained vstart vstop vsusp vswtc
syn keyword tl_keyword contained vt0 vt1 vtdly vtime
syn keyword tl_keyword contained vwerase w-continued w-coredump w-exitstatus
syn keyword tl_keyword contained w-ifcontinued w-ifexited w-ifsignaled w-ifstopped
syn keyword tl_keyword contained w-nohang w-stopsig w-termsig w-untraced
syn keyword tl_keyword contained wait wchar weave when
syn keyword tl_keyword contained when-match whena whenlet where
syn keyword tl_keyword contained while while* while-match while-match-case
syn keyword tl_keyword contained while-true-match-case whilet width width-check
syn keyword tl_keyword contained window-map window-mapdo window-mappend wint-t
syn keyword tl_keyword contained with-clobber-expander with-compilation-unit with-delete-expander with-dyn-lib
syn keyword tl_keyword contained with-gensyms with-hash-iter with-in-buf-stream with-in-string-byte-stream
syn keyword tl_keyword contained with-in-string-stream with-objects with-out-buf-stream with-out-string-stream
syn keyword tl_keyword contained with-out-strlist-stream with-resources with-slots with-stream
syn keyword tl_keyword contained with-update-expander wrap wrap* wstr
syn keyword tl_keyword contained wstr-d xcase yield yield-from
syn keyword tl_keyword contained zap zarray zchar zero-fill
syn keyword tl_keyword contained zerop zip znew
syn match txr_nested_error "[^\t ]\+" contained
syn match txr_variable "\(@[ \t]*\)[*]\?[ \t]*[A-Za-z_][A-Za-z_0-9]*"
syn match txr_splicevar "@[ \t,*@]*[A-Za-z_][A-Za-z_0-9]*" contained
syn match txr_metanum "@\+[0-9]\+"
syn match txr_badesc "\\." contained
syn match txr_escat "\\@" contained
syn match txr_stresc "\\[abtnvfre\\ \n"`']" contained
syn match txr_numesc "\\x[0-9A-Fa-f]\+;\?" contained
syn match txr_numesc "\\[0-7]\+;\?" contained
syn match txr_regesc "\\[abtnvfre\\ \n/sSdDwW()\|.*?+~&%\[\]\-]" contained

syn match txr_error "#[^HSRTN]"

syn match txr_chr "#\\x[0-9A-Fa-f]\+"
syn match txr_chr "#\\o[0-7]\+"
syn match txr_chr "#\\[^ \t\nA-Za-z_0-9]"
syn match txr_chr "#\\[A-Za-z_0-9]\+"
syn match txr_ncomment ";.*"

syn match txr_hashbang "\%^#!.*"

syn match txr_dot "\." contained
syn match txr_ident "[A-Za-z_0-9!$%&*+\-<=>?\\_~]*[A-Za-z_!$%&*+\-<=>?\\_~^][A-Za-z_0-9!$%&*+\-<=>?\\_~^]*" contained
syn match tl_ident "[:@][A-Za-z_0-9!$%&*+\-<=>?\\_~^/]\+"
syn match txr_braced_ident "[:][A-Za-z_0-9!$%&*+\-<=>?\\_~^/]\+" contained
syn match tl_ident "[A-Za-z_0-9!$%&*+\-<=>?\\_~/]\+[A-Za-z_0-9!$%&*+\-<=>?\\_~^/#]*"
syn match txr_pnum "#[xob][+\-]\?[A-Za-z_0-9]\+" contains=txr_xnum,txr_bnum,txr_onum
syn match txr_xnum "#x[+\-]\?[0-9A-Fa-f]\+" containedin=txr_pnum contained
syn match txr_onum "#o[+\-]\?[0-7]\+" containedin=txr_pnum contained
syn match txr_bnum "#b[+\-]\?[01]\+" containedin=txr_pnum contained
syn match txr_num "[+\-]\?[0-9]\+\([^A-Za-z_0-9!$%&*+\-<=>?\\_~^/#]\|\n\)"me=e-1
syn match txr_badnum "[+\-]\?[0-9]*[.][0-9]\+\([eE][+\-]\?[0-9]\+\)\?[A-Za-z_!$%&*+\-<=>?\\_~^/#]\+"
syn match txr_num "[+\-]\?[0-9]*[.][0-9]\+\([eE][+\-]\?[0-9]\+\)\?\([^A-Za-z_0-9!$%&*+\-<=>?\\_~^/#]\|\n\)"me=e-1
syn match txr_num "[+\-]\?[0-9]\+\([eE][+\-]\?[0-9]\+\)\([^A-Za-z_0-9!$%&*+\-<=>?\\_~^/#]\|\n\)"me=e-1
syn match tl_ident ":"
syn match tl_splice "[ \t,]\|,[*]"

syn match txr_unquote "," contained
syn match txr_splice ",\*" contained
syn match txr_quote "'" contained
syn match txr_quote "\^" contained
syn match txr_dotdot "\.\." contained
syn match txr_metaat "@" contained

syn match txr_buf_error "[^']" contained
syn match txr_buf_interior "\([0-9A-Fa-f][\n\t ]*[0-9A-Fa-f]\|[\n\t ]\+\)" contained

syn region txr_bracevar matchgroup=Delimiter start="@[ \t]*[*]\?{" matchgroup=Delimiter end="}" contains=txr_num,txr_pnum,tl_ident,tl_splice,tl_metanum,txr_metaat,txr_circ,txr_braced_ident,txr_dot,txr_dotdot,txr_string,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_regex,tl_regex,txr_quasilit,txr_chr,txr_nested_error
syn region tl_bracevar contained matchgroup=Delimiter start="@[ \t]*[*]\?{" matchgroup=Delimiter end="}" contains=txr_num,txr_pnum,tl_ident,tl_splice,tl_metanum,txr_metaat,txr_circ,txr_braced_ident,txr_dot,txr_dotdot,txr_string,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_regex,tl_regex,txr_quasilit,txr_chr,txr_nested_error
syn region txr_list matchgroup=Delimiter start="\(#[HSRTN]\?\)\?(" matchgroup=Delimiter end=")" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign_par,txr_ign_bkt,txr_ign_tok,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,txr_nested_error
syn region txr_bracket matchgroup=Delimiter start="\[" matchgroup=Delimiter end="\]" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign_par,txr_ign_bkt,txr_ign_tok,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,txr_nested_error
syn region txr_mlist matchgroup=Delimiter start="@[ \t^',]*(" matchgroup=Delimiter end=")" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign_par,txr_ign_bkt,txr_ign_tok,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,txr_nested_error
syn region txr_mbracket matchgroup=Delimiter start="@[ \t^',]*\[" matchgroup=Delimiter end="\]" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign_par,txr_ign_bkt,txr_ign_tok,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,txr_nested_error
syn region txr_string start=+#\?\*\?"+ end=+["\n]+ contains=txr_stresc,txr_numesc,txr_badesc
syn region txr_quasilit start=+#\?\*\?`+ end=+[`\n]+ contains=txr_splicevar,txr_metanum,tl_bracevar,txr_mlist,txr_mbracket,txr_escat,txr_stresc,txr_numesc,txr_badesc
syn region txr_regex start="/" end="[/\n]" contains=txr_regesc,txr_numesc,txr_badesc
syn region tl_regex start="#/" end="[/\n]" contains=txr_regesc,txr_numesc,txr_badesc
syn region txr_buf matchgroup=txr_buf start="#b'" end="'" contains=txr_buf_interior,txr_buf_error
syn region txr_ign_tok matchgroup=Comment start="#;" end="[ \(\)\[\]]"me=e   contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign_par,txr_ign_bkt,txr_ign_tok,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,txr_nested_error
syn region txr_ign_par matchgroup=Comment start="#;[ \t',]*\(#[HSRTN]\?\)\?(" matchgroup=Comment end=")" contains=txr_ign_par_interior,txr_ign_bkt_interior
syn region txr_ign_bkt matchgroup=Comment start="#;[ \t',]*\(#[HSRTN]\?\)\?\[" matchgroup=Comment end="\]" contains=txr_ign_par_interior,txr_ign_bkt_interior
syn region txr_ign_bkt matchgroup=Comment start="#;[ \t',]*\(#[HSRTN]\?\)\?\[" matchgroup=Comment end="\]" contains=txr_ign_par_interior,txr_ign_bkt_interior
syn region txr_ign_par_interior contained matchgroup=Comment start="(" matchgroup=Comment end=")" contains=txr_ign_par_interior,txr_ign_bkt_interior
syn region txr_ign_bkt_interior contained matchgroup=Comment start="\[" matchgroup=Comment end="\]" contains=txr_ign_par_interior,txr_ign_bkt_interior

syn match txr_jerr "." contained
syn match txr_jpunc "[,: \t\n]" contained
syn match txr_jesc "\\[bfnrt"\\/]" contained
syn match txr_juesc "\\u[0-9A-Fa-f][0-9A-Fa-f][0-9A-Fa-f][0-9A-Fa-f]" contained
syn match txr_jnum "-\?\(0\|[1-9][0-9]*\)\([.][0-9]\+\)\?\([Ee][+-]\?[0-9]\+\)\?" contained
syn match txr_jkeyword "true\|false\|null" contained

syn region txr_jatom matchgroup=Delimiter start="#J\^\?[\t\n ]*"rs=e end="[\t\n ]\|[\])}]"re=e-1 contains=txr_jarray_in,txr_jhash_in,txr_jkeyword,txr_jstring,txr_jnum,txr_jpunc,txr_junqlist,txr_junqbkt,txr_junqtok,txr_circ,txr_jerr
syn region txr_junqtok matchgroup=Delimiter start="\~" end="[ \(\)\[\]{}]"re=s contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign_par,txr_ign_bkt,txr_ign_tok,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,txr_nested_error
syn region txr_junqlist matchgroup=Delimiter start="\~\*\?#\?(" end=")" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign_par,txr_ign_bkt,txr_ign_tok,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,txr_nested_error
syn region txr_junqbkt matchgroup=Delimiter start="\~\*\?\[" end="\]" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign_par,txr_ign_bkt,txr_ign_tok,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,txr_nested_error
syn region txr_jstring matchgroup=Delimiter start=+"+ end=+["\n]+ contains=txr_jesc,txr_juesc,txr_badesc
syn region txr_jarray matchgroup=Delimiter start="#J\^\?[\t\n ]*\[" matchgroup=Delimiter end="\]" contains=txr_jarray_in,txr_jhash_in,txr_jkeyword,txr_jstring,txr_jnum,txr_jpunc,txr_junqlist,txr_junqbkt,txr_junqtok,txr_circ,txr_jerr
syn region txr_jhash matchgroup=Delimiter start="#J\^\?[\t\n ]*{" matchgroup=Delimiter end="}" contains=txr_jarray_in,txr_jhash_in,txr_jkeyword,txr_jstring,txr_jnum,txr_jpunc,txr_junqlist,txr_junqbkt,txr_junqtok,txr_circ,txr_jerr
syn region txr_jarray_in contained matchgroup=Delimiter start="\[" end="\]" contains=txr_jarray_in,txr_jhash_in,txr_jkeyword,txr_jstring,txr_jnum,txr_jpunc,txr_junqlist,txr_junqbkt,txr_junqtok,txr_circ,txr_jerr
syn region txr_jhash_in contained matchgroup=Delimiter start="{" end="}" contains=txr_jarray_in,txr_jhash_in,txr_jkeyword,txr_jstring,txr_jnum,txr_jpunc,txr_junqlist,txr_junqbkt,txr_junqtok,txr_circ,txr_jerr

syn match txr_circ "#[0-9]\+[#=]" contained

hi def link txr_at Special
hi def link txr_atstar Special
hi def link txr_atat Special
hi def link txr_comment Comment
hi def link txr_ncomment Comment
hi def link txr_hashbang Preproc
hi def link txr_contin Preproc
hi def link txr_char String
hi def link tl_keyword Type
hi def link txr_string String
hi def link txr_chr String
hi def link txr_quasilit String
hi def link txr_regex String
hi def link tl_regex String
hi def link txr_regdir String
hi def link txr_variable Identifier
hi def link txr_splicevar Identifier
hi def link txr_metanum Identifier
hi def link txr_escat Special
hi def link txr_stresc Special
hi def link txr_numesc Special
hi def link txr_regesc Special
hi def link txr_badesc Error
hi def link txr_ident Identifier
hi def link tl_ident Identifier
hi def link txr_num Number
hi def link txr_xnum Number
hi def link txr_bnum Number
hi def link txr_onum Number
hi def link txr_badnum Error
hi def link txr_pnum Error
hi def link txr_quote Special
hi def link txr_unquote Special
hi def link txr_splice Special
hi def link txr_dot Special
hi def link txr_dotdot Special
hi def link txr_metaat Special
hi def link txr_circ Special
hi def link txr_munqspl Special
hi def link tl_splice Special
hi def link txr_error Error
hi def link txr_nested_error Error
hi def link txr_buf String
hi def link txr_buf_interior String
hi def link txr_buf_error Error
hi def link txr_ign_par Comment
hi def link txr_ign_bkt_interior Comment
hi def link txr_ign_par_interior Comment
hi def link txr_ign_bkt Comment
hi def link txr_ign_tok Comment

hi def link txr_jkeyword Type
hi def link txr_jnum Number
hi def link txr_jstring String
hi def link txr_jesc Special
hi def link txr_juesc Special
hi def link txr_jpunc Special
hi def link txr_jerr Error

let b:current_syntax = "lisp"

set lispwords=ado,alet,align,alignof,ap,append-each,append-each*,append-each-prod,append-each-prod*,append-match-products,append-matches,aret,array,arraysize,assert,awk,bit,block,block*,bool,buf,buf-d,build,buildn,carray,caseq,caseq*,caseql,caseql*,casequal,casequal*,catch,catch*,catch**,clear-mask,collect-each,collect-each*,collect-each-prod,collect-each-prod*,compare-swap,compile-only,cond,conda,condlet,cptr,dec,defex,deffi,deffi-cb,deffi-cb-unsafe,deffi-struct,deffi-sym,deffi-type,deffi-union,deffi-var,define-accessor,define-modify-macro,define-option-struct,define-param-expander,define-place-macro,define-struct-clause,defmacro,defmatch,defmeth,defpackage,defparm,defparml,defplace,defset,defstruct,defsymacro,defun,defun-match,defvar,defvarl,del,delay,do,dohash,doloop,doloop*,dotimes,each,each*,each-match,each-match-product,each-prod,each-prod*,ecaseq,ecaseq*,ecaseql,ecaseql*,ecasequal,ecasequal*,elemsize,elemtype,enum,enumed,equot,eval-only,ffi,flet,flip,flow,for,for*,fun,gen,go,gun,handle,handle*,handler-bind,hlet,hlet*,ido,if,if-match,ifa,iflet,ignerr,ignwarn,in-package,ip,json,keep-match-products,keep-matches,labels,lambda,lambda-match,lcons,ldo,let,let*,lnew*,load-for,load-time,lop,lset,mac-env-param-bind,mac-param-bind,macro-time,macrolet,match,match-case,match-ecase,mlet,mul-each,mul-each*,mul-each-prod,mul-each-prod*,new*,obtain,obtain*,obtain*-block,obtain-block,offsetof,op,pdec,pic,pinc,placelet,placelet*,pop,pop-after-load,pprof,prof,prog,prog*,prog1,prog2,progn,ptr,ptr-in,ptr-in-d,ptr-out,ptr-out-d,ptr-out-s,push,push-after-load,pushnew,ret,return,return-from,rlet,rslot,sbit,set-mask,sizeof,slet,splice,struct,sum-each,sum-each*,sum-each-prod,sum-each-prod*,suspend,symacrolet,sys:abscond-from,sys:arith-each,sys:awk-fun-let,sys:awk-mac-let,sys:awk-redir,sys:awk-symac-let,sys:blk,sys:catch,sys:conv,sys:conv-expand-sym,sys:dlib-expr,sys:dvbind,sys:each-op,sys:expr,sys:fbind,sys:fixed-point,sys:for-op,sys:l1-val,sys:lbind,sys:lisp1-value,sys:load-time-lit,sys:path-examine,sys:placelet-1,sys:rewrite-case,sys:splice,sys:struct-lit,sys:switch,sys:txr-case-impl,sys:unquote,sys:upenv,sys:var,sys:when-exprs-match,sys:with-disabled-debugging,tagbody,tb,tc,test-clear,test-dec,test-inc,test-set,trace,tree-bind,tree-case,txr-case,txr-if,txr-when,typecase,typedef,ubit,union,unless,unquote,until,until*,untrace,unwind-protect,upd,uref,when,when-match,whena,whenlet,while,while*,while-match,while-match-case,while-true-match-case,whilet,with-clobber-expander,with-compilation-unit,with-delete-expander,with-dyn-lib,with-gensyms,with-hash-iter,with-in-buf-stream,with-in-string-byte-stream,with-in-string-stream,with-objects,with-out-buf-stream,with-out-string-stream,with-out-strlist-stream,with-resources,with-slots,with-stream,with-update-expander,yield,yield-from,zap,zarray,znew,:method,:function,:init,:postinit,:fini
set comments=:\;\;\;,:\;\;,:\;
